#ifndef DYN_ALGOS_ALIASES
#define DYN_ALGOS_ALIASES

#include <vector>

#include <awali/dyn/core/automaton.hh>


namespace awali {
  namespace dyn {

    automaton_t min_coquotient(automaton_t aut, param_t dir=HOPCROFT);
    automaton_t coquotient(automaton_t aut,
			   std::vector<std::vector<state_t>>& equiv);
    automaton_t right_reduce(automaton_t aut);
  }
}

#endif
