#include <awali/dyn/bridge-sttc/explicit-automaton.cc>
#include <awali/sttc/algos/aut-to-exp.hh>

#include<set-types.hh>

namespace awali {
  extern "C" void eliminate_state(dyn::automaton_t aut, dyn::state_t s) {
    auto a=dyn::get_stc_automaton<context_t>(aut);
    sttc::internal::state_eliminator<decltype(a)> eliminate_state(a);
    eliminate_state(s);
  }

}
