#include <awali/dyn/bridge-sttc/explicit-automaton.cc>
#include <awali/sttc/history/history.hh>
#include<vector>
#include<stdexcept>

#include<set-types.hh>

namespace awali {

  extern "C" history_kind_t get_history_kind(dyn::automaton_t aut) {
    auto a=dyn::get_stc_automaton<context_t>(aut);
    return a->history()->get_nature();
  }

  extern "C" unsigned get_origin_state(dyn::automaton_t aut, unsigned s) {
    auto a=dyn::get_stc_automaton<context_t>(aut);
    return a->history()->get_state(s);
  }

  extern "C" std::vector<unsigned> get_origin_states(dyn::automaton_t aut, unsigned s) {
    auto a=dyn::get_stc_automaton<context_t>(aut);
    return a->history()->get_state_set(s);
  }

}
