#ifndef DYN_ELIMINATE_CC
#define DYN_ELIMINATE_CC


#include <awali/dyn/loading/handler.hh>

#include <awali/dyn/modules/eliminate.hh>
//Only for lao

namespace awali { namespace dyn {

  void
  eliminate_state (automaton_t aut, state_t s)
  {
    return loading::call2<void, state_t , &eliminate_state>(
                                   "eliminate_state", "eliminate", aut, s);
  }

  void
  eliminate_state (automaton_t aut, std::string st)
  {
    state_t s = aut->get_state_by_name(st);
    return loading::call2<void, state_t , &eliminate_state>(
                                   "eliminate_state", "eliminate", aut, s);
  }
}}//end of ns awali::dyn

#endif
