#include <awali/dyn/loading/handler.hh>

using namespace awali::dyn::loading;

int main(int argc, char** argv) {
    std::string usage("Usage : " + std::string(argv[0]) + " [-d] <module> <context1> [context2]");
    if ((argc<3) || (argc>5)) {
        std::cerr << usage << std::endl;
        return 1;
    }
    std::vector<std::string> args;
    for (int i = 0; i < argc-1; i++)
      args.push_back(std::string(argv[i+1]));

    bool b = false;
    std::string module,context1,context2;
    size_t i = 3;
    if (!args[0].compare("-d")) {
      b = true;
      module = args[1];
      context1 = args[2];
      i=4;
    } else {
      module = args[0];
      context1 = args[1];
    }

    if (args.size() == (i-1)) {
        make_library(module, context1, b);
    } else if (args.size() == i) {
        context2 = (args[i-1]);
        make_library(module, context1, context2, b);
    } else {
      std::cerr << usage << std::endl;
      return 1;
    }
    return 0;
}

