#ifndef DYN_MODULES_TRANSPOSE_HH
#define DYN_MODULES_TRANSPOSE_HH

#include <iostream>
#include <map>
#include <unordered_map>
#include <awali/dyn/core/automaton.hh>
#include <awali/dyn/loading/handler.hh>

namespace awali { namespace dyn {

  void transpose_here(automaton_t aut) {
    return loading::call<void, &transpose_here>("transpose_here","transpose",aut);
  }

  automaton_t transpose(automaton_t aut) {
    return loading::call<automaton_t, &transpose>("transpose","transpose",aut);
  }

}}//end of ns awali::dyn

#endif
