#include <awali/dyn.hh>
#include<cassert>

using namespace awali::dyn;

int main() {
  context_description cd = c_desc(ltupleset({nullableset(letterset("ab")),letterset("xy")}), weightset("B"));
  make_automaton_from_context(cd);

  std::vector<std::string> srs{"B", "Z", "Z-min-plus", "Q", "R", "F2"};
  for(auto sr : srs) {
    make_automaton("ab", sr);
    make_automaton_with_eps("ab", sr);
  }

  return 0;
}
