#include <awali/common/tuple.hh>
#include <awali/dyn.hh>

using namespace awali::dyn;

int main() {
  automaton_t a = make_automaton_with_eps("ab");
  state_t s[5];
  for(int i=0; i<5; ++i)
  	s[i]= a->add_state();
  for(int i=0; i<4; ++i)
    a->set_transition(s[i], s[i+1], 'a');
  for(int i=1; i<4; ++i)
    a->set_transition(s[i], s[i+1], 'b');
  a->set_eps_transition(s[0], s[1]);
  a->set_transition(s[0], s[0], 'a');
  //a->new_transition(s[0], s[0], 'b');
  a->set_initial(s[0]);
  a->set_final(s[3]);
  a->json(std::cout) << std::endl;

  return 0;
}

